Package org.apache.nutch.parse.zip

## Class ZipTextExtractor

- java.lang.Object
- - org.apache.nutch.parse.zip.ZipTextExtractor

-     public class ZipTextExtractor
      extends Object

  Author:
    Rohit Kulkarni and Ashish Vaidya

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ZipTextExtractor​(Configuration conf)` | Creates a new instance of ZipTextExtractor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `extractText​(InputStream input, String url, List<Outlink> outLinksList)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ZipTextExtractor

          public ZipTextExtractor​(Configuration conf)

      Creates a new instance of ZipTextExtractor
      Parameters:
        `conf` - a populated `Configuration`

  - ### Method Detail

    - #### extractText

          public String extractText​(InputStream input,
                                    String url,
                                    List<Outlink> outLinksList)
                             throws IOException

      Throws:
        `IOException`